# class KProtocolInfoFactory |
Definition | `#include <kprotocolinfofactory.h>`
Inherits | KSycocaFactory [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KProtocolInfoFactory ()
- virtual ~KProtocolInfoFactory ()
- KProtocolInfo * findProtocol (const QString &protocol)
- QStringList protocols ()

#### Public Static Methods

- static KProtocolInfoFactory* self ()

#### Protected Methods

- virtual KSycocaEntry * createEntry (const QString &, const char *)
- virtual KProtocolInfo * createEntry (int offset)

#### Protected Members

- static KProtocolInfoFactory *_self

## Detailed Description

KProtocolInfoFactory* self () | ### self

[static]

KProtocolInfoFactory () | ### KProtocolInfoFactory

~KProtocolInfoFactory () | ### ~KProtocolInfoFactory

[virtual]

KProtocolInfo * findProtocol (const QString &protocol) | ### findProtocol

QStringList protocols () | ### protocols

Returns: list of all known protocols

KSycocaEntry * createEntry (const QString &, const char *) | ### createEntry

[protected virtual]

Reimplemented from KSycocaFactory.

KProtocolInfo * createEntry (int offset) | ### createEntry

[protected virtual]

Reimplemented from KSycocaFactory.

static KProtocolInfoFactory * _self | ### _self

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.